Вопрос Проблемы с вредоносным USB-накопителем. Устанавливается ли оно в 14.04?


В Ubuntu есть известная ошибка, которая заставляет систему замораживать при копировании файлов на внешний жесткий диск (см. https://unix.stackexchange.com/q/107703/56755 а также http://lwn.net/Articles/572911/). Я могу засвидетельствовать, что эта ошибка по-прежнему остается проблемой в 13.10.

Эта проблема исправлена ​​в версии 14.04 или 14.04.1?


2
2017-08-07 13:06


происхождения


В статье LWN говорится, что она может быть исправлена ​​версией ядра 3.13, а 13.10 - только 3.11, тогда как 14.04 - 3.13. Думаю, это исправлено. - muru
Если есть официальный отчет об ошибке, взгляните на него. Если он говорит, что он исправлен, то это должно быть. - s3lph
@the_Seppi Я не знаю, есть ли официальный отчет об ошибке. Если он есть, я его не нашел. - becko


ответы:


Eсть отчет об ошибке, который был закрыт как INVALID, Патч, чтобы исправить это (по крайней мере, это то, что я думаю, что он делает из быстрого сканирования списка рассылки) был первоначально представлен в ноябрь, Однако он только вошел в linux-next дерево Cегодня, И из того, что я понимаю из linux-next дерево, код, объединенный с ним, нацелен на следующий выпуск. Итак, нет, ошибка еще не исправлена, но будет (надеюсь, скоро).


2
2017-08-07 13:54



С другой стороны, люди говорят, что ядро ​​3.13 исправляет эту проблему, а ядро ​​3.13 включено в Ubuntu 14.04. Как я могу быть уверен? Кто-нибудь с Ubuntu 14.04 (или 14.04.1) испытал эту проблему? - becko
@becko за то, что это стоит, я был комментатором вопроса, который говорил о 3.13. Но учтите, что это было предположение, основанное на предсказании статьи о том, что патч будет включен в 3.13, предсказание, которое не сбылось. - muru